{
  "definitions": {},
  "$schema": "",
  "$id": "http://example.com/root.json",
  "type": "object",
  "title": "The Root Schema",
  "properties": {
    "customInfo": {
      "$id": "#/properties/customInfo",
      "type": "boolean",
      "title": "The Custominfo Schema"
    },
    "nodata": {
      "$id": "#/properties/nodata",
      "type": "boolean",
      "title": "The Nodata Schema"
    },
    "valid": {
      "$id": "#/properties/valid",
      "type": [
        "boolean",
        "null"
      ],
      "title": "The Valid Schema"
    },
    "linkInfos": {
      "$id": "#/properties/linkInfos",
      "type": "boolean",
      "title": "The Linkinfos Schema"
    },
    "venderInfo": {
      "$id": "#/properties/venderInfo",
      "type": "boolean",
      "title": "The Venderinfo Schema"
    },
    "historyInfos": {
      "$id": "#/properties/historyInfos",
      "type": "boolean",
      "title": "The Historyinfos Schema"
    },
    "ctime": {
      "$id": "#/properties/ctime",
      "type": "object",
      "title": "The Ctime Schema",
      "properties": {
        "$gte": {
          "$id": "#/properties/ctime/properties/$gte",
          "type": "string",
          "title": "The $gte Schema"
        },
        "$lte": {
          "$id": "#/properties/ctime/properties/$lte",
          "type": "string",
          "title": "The $lte Schema"
        }
      }
    },
    "criteria": {
      "$id": "#/properties/criteria",
      "type": "object",
      "title": "The Criteria Schema",
      "properties": {
        "id": {
          "$id": "#/properties/criteria/properties/id",
          "type": "string",
          "title": "The Id Schema",
          "minLength": 1
        },
        "graphId": {
          "$id": "#/properties/criteria/properties/graphId",
          "type": "string",
          "title": "The Graphid Schema",
          "minLength": 1
        },
        "graphType": {
          "$id": "#/properties/criteria/properties/graphType",
          "type": "string",
          "title": "The Graphtype Schema",
          "minLength": 1
        },
        "relType": {
          "$id": "#/properties/criteria/properties/relType",
          "type": "string",
          "title": "The Reltype Schema",
          "minLength": 1
        },
        "side": {
          "$id": "#/properties/criteria/properties/side",
          "type": "integer",
          "enum": [
            0,
            1,
            -1
          ],
          "title": "The Side Schema"
        },
        "type": {
          "$id": "#/properties/criteria/properties/type",
          "type": "array",
          "title": "The Type Schema",
          "minItems": 1,
          "items": {
            "$id": "#/properties/criteria/properties/type/items",
            "type": "string",
            "title": ""
          }
        }
      },
      "required": [
        "type"
      ]
    }
  },
  "required": [
    "criteria"
  ]
}